<?php
//Hàm chuyển sang tiếng việt UTF-8
function cvnokia($text) {
$nokia=array(
'á','ả','à' ,'ã','ạ','ắ','ẳ','ằ','ẵ','ặ',
'ấ','ẩ','ầ','ẫ','ậ','é','ẻ','è','ẽ','ẹ',
'ế','ể','ề','ễ','ệ','ó','ỏ','ò','õ','ọ',
'ố','ổ','ồ','ỗ','ộ','ớ','ở','ờ','ỡ','ợ',
'ú','ủ','ù','ũ','ụ','ứ','ử','ừ','ữ','ự',
'ý','ỷ','ỳ','ỹ','ỵ','í','ỉ','ì','ĩ','ị',
'Á','Ả','À','Ã','Ạ','Ắ','Ẳ','Ẳ','Ẵ','Ặ',
'Ấ','Ẩ','Ầ','Ẫ','Ậ','É','Ẻ','È','Ẽ','Ẹ',
'Ế','Ể','Ề','Ễ','Ệ','Ó','Ỏ','Ò','Õ','Ọ',
'Ố','Ổ','Ồ','Ỗ','Ộ','Ớ','Ở','Ờ','Ỡ','Ợ',
'Ú','Ủ','Ù','Ũ','Ụ','Ứ','Ử','Ừ','Ữ','Ự',
'Ý','Ỷ','Ỳ','Ỹ','Ỵ','Í','Ỉ','Ì','Ĩ','Ị'
);
$pc=array(
'á','ả','à' ,'ã','ạ','ắ','ẳ','ằ','ẵ','ặ',
'ấ','ẩ','ầ','ẫ','ậ','é','ẻ','è','ẽ','ẹ',
'ế','ể','ề','ễ','ệ','ó','ỏ','ò','õ','ọ',
'ố','ổ','ồ','ỗ','ộ','ớ','ở','ờ','ỡ','ợ',
'ú','ủ','ù','ũ','ụ','ứ','ử','ừ','ữ','ự',
'ý','ỷ','ỳ','ỹ','ỵ','í','ỉ','ì','ĩ','ị',
'Á','Ả','À','Ã','Ạ','Ắ','Ẳ','Ằ','Ẵ','Ặ',
'Ấ','Ẩ','Ầ','Ẫ','Ậ','É','Ẻ','È','Ẽ','Ẹ',
'Ế','Ể','Ề','Ễ','Ệ','Ó','Ỏ','Ò','Õ','Ọ',
'Ố','Ổ','Ồ','Ỗ','Ộ','Ớ','Ở','Ờ','Ỡ','Ợ',
'Ú','Ủ','Ù','Ũ','Ụ','Ứ','Ử','Ừ','Ữ','Ự',
'Ý','Ỷ','Ỳ','Ỹ','Ỵ','Í','Ỉ','Ì','Ĩ','Ị'
);
$text = str_replace($nokia, $pc, $text);
return $text;
}

//Hàm chuyển tên sang url đẹp
function rwurl($title){
$replacement = '-';
$map = array();
$quotedReplacement = preg_quote($replacement, '/');
$default = array(
'/à|á|ạ|ả|ã|â|ầ|ấ|ậ|ẩ|ẫ|ă|ằ|ắ|ặ|ẳ|ẵ|À|Á|Ạ|Ả|Ã|Â|Ầ|Ấ|Ậ|Ẩ|Ẫ|Ă|Ằ|Ắ|Ặ|Ẳ|Ẵ|å/' => 'a',
'/e|è|é|ẹ|ẻ|ẽ|ê|ề|ế|ệ|ể|ễ|È|É|Ẹ|Ẻ|Ẽ|Ê|Ề|Ế|Ệ|Ể|Ễ|ë/' => 'e',
'/ì|í|ị|ỉ|ĩ|Ì|Í|Ị|Ỉ|Ĩ|î/' => 'i',
'/ò|ó|ọ|ỏ|õ|ô|ồ|ố|ộ|ổ|ỗ|ơ|ờ|ớ|ợ|ở|ỡ|Ò|Ó|Ọ|Ỏ|Õ|Ô|Ồ|Ố|Ộ|Ổ|Ỗ|Ơ|Ờ|Ớ|Ợ|Ở|Ỡ|ø/' => 'o',
'/ù|ú|ụ|ủ|ũ|ư|ừ|ứ|ự|ử|ữ|Ù|Ú|Ụ|Ủ|Ũ|Ư|Ừ|Ứ|Ự|Ử|Ữ|ů|û/' => 'u',
'/ỳ|ý|ỵ|ỷ|ỹ|Ỳ|Ý|Ỵ|Ỷ|Ỹ/'	=> 'y',
'/đ|Đ/' => 'd',
'/ç/' => 'c',
'/ñ/' => 'n',
'/ä|æ/' => 'ae',
'/ö/' => 'o',
'/ü/' => 'u',
'/Ä/' => 'A',
'/Ü/' => 'U',
'/Ö/' => 'O',
'/ß/' => 'b',
'/̃|̉|̣|̀|́/' => '',
'/[^\s\p{Ll}\p{Lm}\p{Lo}\p{Lt}\p{Lu}\p{Nd}]/mu' => ' ', '/\\s+/' => $replacement,
sprintf('/^[%s]+|[%s]+$/', $quotedReplacement, $quotedReplacement) => '',
);
$title = urldecode($title);
mb_internal_encoding('UTF-8');
$map = array_merge($map, $default);
return strtolower( preg_replace(array_keys($map), array_values($map), $title) );
}

function dongdau($image, $save, $logo){
$compress = '95';//chất lượng nén của jpeg
$marge_bottom = '5';
$stamp = imagecreatefrompng($logo);
$width = imagesx($stamp);
$height = imagesy($stamp);
$info = getimagesize($image);
//$mime = $info[mime];
$h = $info[1];
$w = $info[0];

$k=$w-$width;
$marge_right = $k/2;
$marge_r = $marge_right*2;
$marge_b = $marge_bottom*2;
if($w>=$width){

switch(exif_imagetype($image)){
case '3':
$im = imagecreatefrompng($image);
break;
case '2':
$im = imagecreatefromjpeg($image);
break;
case '1':
$im = imagecreatefromgif($image);
break;
}
imagecopy($im, $stamp, $w - $width - $marge_right, $h - $height - $marge_bottom, 0, 0, $width, $height);
imagealphablending($im,false);
imagesavealpha($im,true);

switch(exif_imagetype($image)){
case '3':
imagepng($im, $save);
break;
case '2':
imagejpeg($im, $save, $compress);
break;
case '1':
imagegif($im, $save);
break;
}

}
else{
copy($image, $save);
}
}

?>

